﻿using System.Collections.Generic;

namespace TreeViewHierarchy.Data
{
    public class MyService
    {
        private int bandId { get; set; }
        private int pitchId { get; set; }
        private int processId { get; set; }


        //CATEGORIES *****************************************
        public List<Category> GetCategoriesListAsync()
        {
            List<Category> l = new();

            l.Add(new Category()
            {
                CategoryId = 1,
                CategoryName = "Categories A",
                Sections = GetSectionsList(1, "A-Section")
            });
            l.Add(new Category()
            {
                CategoryId = 2,
                CategoryName = "Categories B",
                Sections = GetSectionsList(2, "B-Section")
            });

            return l;
        }

        //SECTIONS *****************************************
        private List<Section> GetSectionsList(int id, string pre)
        {
            int i;
            List<Section> l = new();

            for (i = 1; i < 3; i++)
            {
                bandId++;

                l.Add(new Section()
                {
                    SectionId = bandId,
                    CategoryId = id,
                    SectionName = $"{pre} {i}",
                    Items = GetItemsList(bandId, $"{pre} {i} Item")
                });
            }

            return l;
        }

        //ITEMS *****************************************

        private List<Item> GetItemsList(int id, string pre)
        {
            int i;
            List<Item> l = new();

            for (i = 1; i < 3; i++)
            {
                pitchId++;

                l.Add(new Item()
                {
                    ItemId = pitchId,
                    SectionId = id,
                    OrderId = i,
                    ItemName = $"{pre} {i}",
                });
            }
            return l;
        }
    }
}
